<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.AssimpMetadataCollection Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_assimp_metadata_collection.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_tri_lib_1_1_assimp_metadata_collection-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.AssimpMetadataCollection Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents a series of <a class="el" href="class_tri_lib_1_1_assimp_metadata.html">AssimpMetadata</a> related to the given <a class="el" href="">UnityEngine.GameObject</a>.  
 <a href="class_tri_lib_1_1_assimp_metadata_collection.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.AssimpMetadataCollection:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_assimp_metadata_collection.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4094b880b91ad5e2620fef24d179458e"><td class="memItemLeft" align="right" valign="top"><a id="a4094b880b91ad5e2620fef24d179458e" name="a4094b880b91ad5e2620fef24d179458e"></a>
IEnumerator&lt; KeyValuePair&lt; string, <a class="el" href="class_tri_lib_1_1_assimp_metadata.html">AssimpMetadata</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>GetEnumerator</b> ()</td></tr>
<tr class="separator:a4094b880b91ad5e2620fef24d179458e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77277d135ab032f0744a66c3006582b3"><td class="memItemLeft" align="right" valign="top"><a id="a77277d135ab032f0744a66c3006582b3" name="a77277d135ab032f0744a66c3006582b3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Add</b> (KeyValuePair&lt; string, <a class="el" href="class_tri_lib_1_1_assimp_metadata.html">AssimpMetadata</a> &gt; item)</td></tr>
<tr class="separator:a77277d135ab032f0744a66c3006582b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a604375673015b4894b515619796ec290"><td class="memItemLeft" align="right" valign="top"><a id="a604375673015b4894b515619796ec290" name="a604375673015b4894b515619796ec290"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Clear</b> ()</td></tr>
<tr class="separator:a604375673015b4894b515619796ec290"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a947e9ee164cb414fd0082ed3a4d800cd"><td class="memItemLeft" align="right" valign="top"><a id="a947e9ee164cb414fd0082ed3a4d800cd" name="a947e9ee164cb414fd0082ed3a4d800cd"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Contains</b> (KeyValuePair&lt; string, <a class="el" href="class_tri_lib_1_1_assimp_metadata.html">AssimpMetadata</a> &gt; item)</td></tr>
<tr class="separator:a947e9ee164cb414fd0082ed3a4d800cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a494d8ab4832eaee4ced87327946f614f"><td class="memItemLeft" align="right" valign="top"><a id="a494d8ab4832eaee4ced87327946f614f" name="a494d8ab4832eaee4ced87327946f614f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>CopyTo</b> (KeyValuePair&lt; string, <a class="el" href="class_tri_lib_1_1_assimp_metadata.html">AssimpMetadata</a> &gt;[] array, int arrayIndex)</td></tr>
<tr class="separator:a494d8ab4832eaee4ced87327946f614f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bbec2dafd50697be08087b5c0d498f6"><td class="memItemLeft" align="right" valign="top"><a id="a5bbec2dafd50697be08087b5c0d498f6" name="a5bbec2dafd50697be08087b5c0d498f6"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Remove</b> (KeyValuePair&lt; string, <a class="el" href="class_tri_lib_1_1_assimp_metadata.html">AssimpMetadata</a> &gt; item)</td></tr>
<tr class="separator:a5bbec2dafd50697be08087b5c0d498f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c97b551907f515cc778b33975112b59"><td class="memItemLeft" align="right" valign="top"><a id="a7c97b551907f515cc778b33975112b59" name="a7c97b551907f515cc778b33975112b59"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Add</b> (string key, <a class="el" href="class_tri_lib_1_1_assimp_metadata.html">AssimpMetadata</a> value)</td></tr>
<tr class="separator:a7c97b551907f515cc778b33975112b59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebeb541680c78cda3b20a5e2e7d65e96"><td class="memItemLeft" align="right" valign="top"><a id="aebeb541680c78cda3b20a5e2e7d65e96" name="aebeb541680c78cda3b20a5e2e7d65e96"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>ContainsKey</b> (string key)</td></tr>
<tr class="separator:aebeb541680c78cda3b20a5e2e7d65e96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea1fe261d3af151497fc6e5e3dcd0ccb"><td class="memItemLeft" align="right" valign="top"><a id="aea1fe261d3af151497fc6e5e3dcd0ccb" name="aea1fe261d3af151497fc6e5e3dcd0ccb"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Remove</b> (string key)</td></tr>
<tr class="separator:aea1fe261d3af151497fc6e5e3dcd0ccb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1a10b96ae1e48dc365b0888121924cb"><td class="memItemLeft" align="right" valign="top"><a id="ae1a10b96ae1e48dc365b0888121924cb" name="ae1a10b96ae1e48dc365b0888121924cb"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>TryGetValue</b> (string key, out <a class="el" href="class_tri_lib_1_1_assimp_metadata.html">AssimpMetadata</a> value)</td></tr>
<tr class="separator:ae1a10b96ae1e48dc365b0888121924cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a60dfb84af3f54287bf8fdfb7914b5bf3"><td class="memItemLeft" align="right" valign="top"><a id="a60dfb84af3f54287bf8fdfb7914b5bf3" name="a60dfb84af3f54287bf8fdfb7914b5bf3"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>Count</b><code> [get]</code></td></tr>
<tr class="separator:a60dfb84af3f54287bf8fdfb7914b5bf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dff9e86b777841c316c8e778bfc7544"><td class="memItemLeft" align="right" valign="top"><a id="a9dff9e86b777841c316c8e778bfc7544" name="a9dff9e86b777841c316c8e778bfc7544"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsReadOnly</b><code> [get]</code></td></tr>
<tr class="separator:a9dff9e86b777841c316c8e778bfc7544"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0156a14a3de7227204b93483de938f67"><td class="memItemLeft" align="right" valign="top"><a id="a0156a14a3de7227204b93483de938f67" name="a0156a14a3de7227204b93483de938f67"></a>
<a class="el" href="class_tri_lib_1_1_assimp_metadata.html">AssimpMetadata</a>&#160;</td><td class="memItemRight" valign="bottom"><b>this[string key]</b><code> [getset]</code></td></tr>
<tr class="separator:a0156a14a3de7227204b93483de938f67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec59c76f45a572e67acbef4a4d05c0fb"><td class="memItemLeft" align="right" valign="top"><a id="aec59c76f45a572e67acbef4a4d05c0fb" name="aec59c76f45a572e67acbef4a4d05c0fb"></a>
ICollection&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>Keys</b><code> [get]</code></td></tr>
<tr class="separator:aec59c76f45a572e67acbef4a4d05c0fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7dca20f539815666e6648f7cf03cd43"><td class="memItemLeft" align="right" valign="top"><a id="af7dca20f539815666e6648f7cf03cd43" name="af7dca20f539815666e6648f7cf03cd43"></a>
ICollection&lt; <a class="el" href="class_tri_lib_1_1_assimp_metadata.html">AssimpMetadata</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>Values</b><code> [get]</code></td></tr>
<tr class="separator:af7dca20f539815666e6648f7cf03cd43"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents a series of <a class="el" href="class_tri_lib_1_1_assimp_metadata.html">AssimpMetadata</a> related to the given <a class="el" href="">UnityEngine.GameObject</a>. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/<a class="el" href="_assimp_metadata_collection_8cs.html">AssimpMetadataCollection.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_assimp_metadata_collection.html">AssimpMetadataCollection</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
